diff --git a/src/main/java/net/minecraft/client/render/WorldRenderer.java b/src/main/java/net/minecraft/client/render/WorldRenderer.java
index ee3a6b8ba..323896785 100644
--- a/src/main/java/net/minecraft/client/render/WorldRenderer.java
+++ b/src/main/java/net/minecraft/client/render/WorldRenderer.java
@@ -13,11 +13,11 @@ import org.lwjgl.opengl.GL11;
 import org.lwjgl.util.glu.GLU;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.particle.WaterDropParticle;
-import net.minecraft.client.entity.particle.SmokeParticle;
-import net.minecraft.client.entity.player.LocalPlayer;
-import net.minecraft.client.gui.PhotoModeScreen;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.entity.particle.ParticleWaterDrop;
+import net.minecraft.client.entity.particle.ParticleSmoke;
+import net.minecraft.client.entity.player.PlayerLocal;
+import net.minecraft.client.gui.ScreenPhotoMode;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.input.InputType;
 import net.minecraft.client.input.MouseFilter;
 import net.minecraft.client.input.PlayerInput;
@@ -110,7 +110,7 @@ public class WorldRenderer
 
     private void updateSpeedFov()
     {
-        LocalPlayer player = mc.thePlayer;
+        PlayerLocal player = mc.thePlayer;
         currentFovModifier = player.getFovModifier();
         a = b;
         b += (currentFovModifier - b) * 0.5f;
@@ -264,7 +264,7 @@ public class WorldRenderer
         if (mc.activeCamera instanceof EntityCamera)
         {
             Mob entityliving = ((EntityCamera) mc.activeCamera).mob;
-            if (mc.currentScreen instanceof PhotoModeScreen)
+            if (mc.currentScreen instanceof ScreenPhotoMode)
             {
                 mc.activeCamera = new EntityCameraIsometric(mc, entityliving);
             }
@@ -299,16 +299,16 @@ public class WorldRenderer
         setupCamera(partialTick);
         mc.activeCamera.applyGlTransformations();
 
-        if(!(mc.currentScreen instanceof PhotoModeScreen) && !mc.gameSettings.lockCamera.value)
+        if(!(mc.currentScreen instanceof ScreenPhotoMode) && !mc.gameSettings.lockCamera.value)
         {
             glRotatef((float) mc.activeCamera.getXRot(partialTick), 1.0F, 0.0F, 0.0F);
             glRotatef((float) (mc.activeCamera.getYRot(partialTick) + 180F), 0.0F, 1.0F, 0.0F);
         }
 
-        if (mc.currentScreen instanceof PhotoModeScreen)
+        if (mc.currentScreen instanceof ScreenPhotoMode)
         {
-            glRotatef(((PhotoModeScreen)mc.currentScreen).getTilt(partialTick), 1.0F, 0.0F, 0.0F);
-            glRotatef(45f + 45F * ((PhotoModeScreen)mc.currentScreen).getRotation(partialTick), 0.0F, 1.0F, 0.0F);
+            glRotatef(((ScreenPhotoMode)mc.currentScreen).getTilt(partialTick), 1.0F, 0.0F, 0.0F);
+            glRotatef(45f + 45F * ((ScreenPhotoMode)mc.currentScreen).getRotation(partialTick), 0.0F, 1.0F, 0.0F);
         }
     }
 
@@ -323,12 +323,12 @@ public class WorldRenderer
         } else {
             zoomProgress = 0;
         }
-        if (mc.currentScreen instanceof PhotoModeScreen)
+        if (mc.currentScreen instanceof ScreenPhotoMode)
         {
-            double div = java.lang.Math.pow(2, ((PhotoModeScreen)mc.currentScreen).getZoom(partialTick));
+            double div = java.lang.Math.pow(2, ((ScreenPhotoMode)mc.currentScreen).getZoom(partialTick));
             glTranslatef(1, 1, 0);
             glOrtho(0, mc.gameWindow.getWidthPixels() / div, 0, mc.gameWindow.getHeightPixels() / div, farPlaneDistance * -2.0f, farPlaneDistance * 2.0f);
-            glTranslatef(((PhotoModeScreen)mc.currentScreen).getPanX(partialTick), -((PhotoModeScreen)mc.currentScreen).getPanY(partialTick), 0);
+            glTranslatef(((ScreenPhotoMode)mc.currentScreen).getPanX(partialTick), -((ScreenPhotoMode)mc.currentScreen).getPanY(partialTick), 0);
         } else
         {
             GLU.gluPerspective(fov, (float)mc.gameWindow.getWidthPixels() / (float)mc.gameWindow.getHeightPixels(), 0.05F, farPlaneDistance * 2.0F);
@@ -336,7 +336,7 @@ public class WorldRenderer
         glMatrixMode(GL_MODELVIEW);
         glLoadIdentity();
         hurtCameraEffect(partialTick);
-        if(mc.gameSettings.viewBobbing.value && !(mc.currentScreen instanceof PhotoModeScreen))
+        if(mc.gameSettings.viewBobbing.value && !(mc.currentScreen instanceof ScreenPhotoMode))
         {
             setupViewBobbing(partialTick);
         }
@@ -376,7 +376,7 @@ public class WorldRenderer
         {
             setupViewBobbing(partialTick);
         }
-        if(mc.gameSettings.thirdPersonView.value == 0 && !(mc.currentScreen instanceof PhotoModeScreen) && !(!(mc.activeCamera instanceof EntityCamera) || ((EntityCamera) mc.activeCamera).mob.isPlayerSleeping()) && mc.gameSettings.immersiveMode.drawHand())
+        if(mc.gameSettings.thirdPersonView.value == 0 && !(mc.currentScreen instanceof ScreenPhotoMode) && !(!(mc.activeCamera instanceof EntityCamera) || ((EntityCamera) mc.activeCamera).mob.isPlayerSleeping()) && mc.gameSettings.immersiveMode.drawHand())
         {
             lightmapHelper.enableLightmapRendering();
             if(!zooming) itemRenderer.renderItemInFirstPerson(partialTick);
@@ -535,7 +535,7 @@ public class WorldRenderer
             systemTime = System.nanoTime();
             
             Debug.change("hud");
-            mc.ingameHud.renderGameOverlay(partialTick, mc.currentScreen != null, mouseX, mouseY);
+            mc.hudIngame.renderGameOverlay(partialTick, mc.currentScreen != null, mouseX, mouseY);
             Debug.change("misc");
         } else
         {
@@ -623,7 +623,7 @@ public class WorldRenderer
         setupCameraTransform(partialTicks);
         Frustum.getFrustum();
         Debug.change("sky");
-        if((mc.gameSettings.renderDistance.value > 4) /* Used to use Renderdistance rendersky! */ && !(mc.currentScreen instanceof ModelViewerScreen))
+        if((mc.gameSettings.renderDistance.value > 4) /* Used to use Renderdistance rendersky! */ && !(mc.currentScreen instanceof ScreenModelViewer))
         {
             fogManager.setupFog(FogManager.FOG_MODE_SKY, farPlaneDistance, partialTicks);
             glDisable(GL_FOG);
@@ -807,7 +807,7 @@ public class WorldRenderer
             }
             if(Block.blocksList[i2].blockMaterial == Material.lava)
             {
-                mc.particleEngine.add(new SmokeParticle(world, (float)randX + f1, (double)((float)y + 0.1F) - Block.blocksList[i2].minY, (float)randZ + f2, 0.0D, 0.0D, 0.0D));
+                mc.particleEngine.add(new ParticleSmoke(world, (float)randX + f1, (double)((float)y + 0.1F) - Block.blocksList[i2].minY, (float)randZ + f2, 0.0D, 0.0D, 0.0D));
                 continue;
             }
             if(random.nextInt(++l) == 0)
@@ -816,7 +816,7 @@ public class WorldRenderer
                 d1 = (double)((float)y + 0.1F) - Block.blocksList[i2].minY;
                 d2 = (float)randZ + f2;
             }
-            mc.particleEngine.add(new WaterDropParticle(world, (float)randX + f1, (double)((float)y + 0.1F) - Block.blocksList[i2].minY, (float)randZ + f2));
+            mc.particleEngine.add(new ParticleWaterDrop(world, (float)randX + f1, (double)((float)y + 0.1F) - Block.blocksList[i2].minY, (float)randZ + f2));
         }
 
         if(l > 0 && random.nextInt(3) < rainSoundCounter++)
diff --git a/src/main/java/net/minecraft/client/render/block/color/CustomBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorCustom.java
similarity index 84%
rename from src/main/java/net/minecraft/client/render/block/color/CustomBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorCustom.java
index 76d4a3c27..a0fcdb374 100644
--- a/src/main/java/net/minecraft/client/render/block/color/CustomBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorCustom.java
@@ -3,11 +3,11 @@ package net.minecraft.client.render.block.color;
 import net.minecraft.client.render.colorizer.Colorizer;
 import net.minecraft.core.world.WorldSource;
 
-public class CustomBlockColor extends BlockColor {
+public class BlockColorCustom extends BlockColor {
 
 	public Colorizer colorizer;
 	
-	public CustomBlockColor(Colorizer colorizer) {
+	public BlockColorCustom(Colorizer colorizer) {
 		this.colorizer = colorizer;
 		
 		if(colorizer == null) {
diff --git a/src/main/java/net/minecraft/client/render/block/color/DefaultBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorDefault.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/block/color/DefaultBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorDefault.java
index cf5117ea0..00083c5eb 100644
--- a/src/main/java/net/minecraft/client/render/block/color/DefaultBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorDefault.java
@@ -2,7 +2,7 @@ package net.minecraft.client.render.block.color;
 
 import net.minecraft.core.world.WorldSource;
 
-public class DefaultBlockColor
+public class BlockColorDefault
     extends BlockColor
 {
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/color/BlockColorDispatcher.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorDispatcher.java
index 0c4865e08..7fac7461f 100644
--- a/src/main/java/net/minecraft/client/render/block/color/BlockColorDispatcher.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorDispatcher.java
@@ -9,7 +9,7 @@ public final class BlockColorDispatcher
     extends Dispatcher<Block, BlockColor>
 {
     private static final BlockColorDispatcher instance = new BlockColorDispatcher();
-    private static final BlockColor defaultColor = new DefaultBlockColor();
+    private static final BlockColor defaultColor = new BlockColorDefault();
 
     public static BlockColorDispatcher getInstance()
     {
@@ -18,28 +18,28 @@ public final class BlockColorDispatcher
 
     private BlockColorDispatcher()
     {
-        addDispatch(Blocks.ALGAE, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.FLUID_WATER_STILL, new WaterBlockColor(Colorizers.water));
-        addDispatch(Blocks.FLUID_WATER_FLOWING, new WaterBlockColor(Colorizers.water));
-        addDispatch(Blocks.GRASS, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.LAYER_LEAVES_OAK, new CustomBlockColor(Colorizers.oak));
-        addDispatch(Blocks.LEAVES_BIRCH, new CustomBlockColor(Colorizers.birch));
-        addDispatch(Blocks.LEAVES_CHERRY, new CustomBlockColor(Colorizers.cherry));
-        addDispatch(Blocks.LEAVES_CHERRY_FLOWERING, new CustomBlockColor(Colorizers.cherry));
-        addDispatch(Blocks.LEAVES_EUCALYPTUS, new CustomBlockColor(Colorizers.eucalyptus));
-        addDispatch(Blocks.LEAVES_CACAO, new CustomBlockColor(Colorizers.cacao));
-        addDispatch(Blocks.LEAVES_OAK, new CustomBlockColor(Colorizers.oak));
-        addDispatch(Blocks.LEAVES_PINE, new CustomBlockColor(Colorizers.pine));
-        addDispatch(Blocks.LEAVES_SHRUB, new CustomBlockColor(Colorizers.shrub));
-        addDispatch(Blocks.LEAVES_THORN, new CustomBlockColor(Colorizers.thorn));
-        addDispatch(Blocks.LEAVES_PALM, new CustomBlockColor(Colorizers.palm));
-        addDispatch(Blocks.MOSS_STONE, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.MOSS_BASALT, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.MOSS_LIMESTONE, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.MOSS_GRANITE, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.WIRE_REDSTONE, new RedstoneWireBlockColor());
-        addDispatch(Blocks.TALLGRASS, new CustomBlockColor(Colorizers.grass));
-        addDispatch(Blocks.TALLGRASS_FERN, new CustomBlockColor(Colorizers.grass));
+        addDispatch(Blocks.ALGAE, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.FLUID_WATER_STILL, new BlockColorWater(Colorizers.water));
+        addDispatch(Blocks.FLUID_WATER_FLOWING, new BlockColorWater(Colorizers.water));
+        addDispatch(Blocks.GRASS, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.LAYER_LEAVES_OAK, new BlockColorCustom(Colorizers.oak));
+        addDispatch(Blocks.LEAVES_BIRCH, new BlockColorCustom(Colorizers.birch));
+        addDispatch(Blocks.LEAVES_CHERRY, new BlockColorCustom(Colorizers.cherry));
+        addDispatch(Blocks.LEAVES_CHERRY_FLOWERING, new BlockColorCustom(Colorizers.cherry));
+        addDispatch(Blocks.LEAVES_EUCALYPTUS, new BlockColorCustom(Colorizers.eucalyptus));
+        addDispatch(Blocks.LEAVES_CACAO, new BlockColorCustom(Colorizers.cacao));
+        addDispatch(Blocks.LEAVES_OAK, new BlockColorCustom(Colorizers.oak));
+        addDispatch(Blocks.LEAVES_PINE, new BlockColorCustom(Colorizers.pine));
+        addDispatch(Blocks.LEAVES_SHRUB, new BlockColorCustom(Colorizers.shrub));
+        addDispatch(Blocks.LEAVES_THORN, new BlockColorCustom(Colorizers.thorn));
+        addDispatch(Blocks.LEAVES_PALM, new BlockColorCustom(Colorizers.palm));
+        addDispatch(Blocks.MOSS_STONE, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.MOSS_BASALT, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.MOSS_LIMESTONE, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.MOSS_GRANITE, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.WIRE_REDSTONE, new BlockColorWireRedstone());
+        addDispatch(Blocks.TALLGRASS, new BlockColorCustom(Colorizers.grass));
+        addDispatch(Blocks.TALLGRASS_FERN, new BlockColorCustom(Colorizers.grass));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/client/render/block/color/LeavesOakBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorLeavesOak.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/block/color/LeavesOakBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorLeavesOak.java
index d00e842c1..337c93425 100644
--- a/src/main/java/net/minecraft/client/render/block/color/LeavesOakBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorLeavesOak.java
@@ -8,11 +8,11 @@ import net.minecraft.core.world.noise.ImprovedNoise;
 import net.minecraft.core.world.season.Season;
 import net.minecraft.core.world.season.Seasons;
 
-public class LeavesOakBlockColor extends CustomBlockColor {
+public class BlockColorLeavesOak extends BlockColorCustom {
 	
 	private static ImprovedNoise fallColorPerlin = new ImprovedNoise(new Random(0));
 	
-	public LeavesOakBlockColor(Colorizer colorizer) {
+	public BlockColorLeavesOak(Colorizer colorizer) {
 		super(colorizer);
 	}
 	
diff --git a/src/main/java/net/minecraft/client/render/block/color/PortalBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorPortal.java
similarity index 90%
rename from src/main/java/net/minecraft/client/render/block/color/PortalBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorPortal.java
index 2d540391f..c616f4420 100644
--- a/src/main/java/net/minecraft/client/render/block/color/PortalBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorPortal.java
@@ -3,7 +3,7 @@ package net.minecraft.client.render.block.color;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.world.WorldSource;
 
-public class PortalBlockColor extends BlockColor{
+public class BlockColorPortal extends BlockColor{
     @Override
     public int getFallbackColor(int meta) {
         return Colors.allPortalColors[(meta >> 4) & 0xF].getARGB();
diff --git a/src/main/java/net/minecraft/client/render/block/color/TallGrassBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorTallGrass.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/block/color/TallGrassBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorTallGrass.java
index 3000589e2..ec0b2daa8 100644
--- a/src/main/java/net/minecraft/client/render/block/color/TallGrassBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorTallGrass.java
@@ -7,11 +7,11 @@ import net.minecraft.client.render.colorizer.Colorizers;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.noise.ImprovedNoise;
 
-public class TallGrassBlockColor extends CustomBlockColor {
+public class BlockColorTallGrass extends BlockColorCustom {
 	
 	protected static ImprovedNoise grassColorPerlin = new ImprovedNoise(new Random(0));
 	
-	public TallGrassBlockColor(Colorizer colorizer) {
+	public BlockColorTallGrass(Colorizer colorizer) {
 		super(colorizer);
 	}
 	
diff --git a/src/main/java/net/minecraft/client/render/block/color/WaterBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/block/color/WaterBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
index 0a3568e71..ca43c3990 100644
--- a/src/main/java/net/minecraft/client/render/block/color/WaterBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorWater.java
@@ -4,11 +4,11 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.colorizer.Colorizer;
 import net.minecraft.core.world.WorldSource;
 
-public class WaterBlockColor extends CustomBlockColor {
+public class BlockColorWater extends BlockColorCustom {
 
 	public Minecraft mc = Minecraft.getMinecraft(this);
 	
-	public WaterBlockColor(Colorizer colorizer) {
+	public BlockColorWater(Colorizer colorizer) {
 		super(colorizer);
 	}
 	
diff --git a/src/main/java/net/minecraft/client/render/block/color/RedstoneWireBlockColor.java b/src/main/java/net/minecraft/client/render/block/color/BlockColorWireRedstone.java
similarity index 92%
rename from src/main/java/net/minecraft/client/render/block/color/RedstoneWireBlockColor.java
rename to src/main/java/net/minecraft/client/render/block/color/BlockColorWireRedstone.java
index af73cfbd8..78483a675 100644
--- a/src/main/java/net/minecraft/client/render/block/color/RedstoneWireBlockColor.java
+++ b/src/main/java/net/minecraft/client/render/block/color/BlockColorWireRedstone.java
@@ -3,7 +3,7 @@ package net.minecraft.client.render.block.color;
 import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.world.WorldSource;
 
-public class RedstoneWireBlockColor
+public class BlockColorWireRedstone
     extends BlockColor
 {
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelActivator.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelActivator.java
index 2e7f0af8b..c4b41b2e2 100644
--- a/src/main/java/net/minecraft/client/render/block/model/ActivatorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelActivator.java
@@ -2,11 +2,11 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.block.ActivatorBlock;
+import net.minecraft.core.block.BlockActivator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class ActivatorBlockModel extends VeryRotatableBlockModel<ActivatorBlock> {
+public class BlockModelActivator extends BlockModelVeryRotatable<BlockActivator> {
     public final IconCoordinate[] poweredTextures = {
         TextureRegistry.getTexture("minecraft:block/activator/bottom_active"),
         TextureRegistry.getTexture("minecraft:block/activator/top_active"),
@@ -23,7 +23,7 @@ public class ActivatorBlockModel extends VeryRotatableBlockModel<ActivatorBlock>
         TextureRegistry.getTexture("minecraft:block/activator/side_active_overlay"),
         TextureRegistry.getTexture("minecraft:block/activator/side_active_overlay")
     };
-    public ActivatorBlockModel(Block block) {
+    public BlockModelActivator(Block block) {
         super(block);
     }
 
@@ -35,7 +35,7 @@ public class ActivatorBlockModel extends VeryRotatableBlockModel<ActivatorBlock>
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data)
     {
-        if ((data & ActivatorBlock.MASK_POWERED) != 0) {
+        if ((data & BlockActivator.MASK_POWERED) != 0) {
             return poweredTextures[getTextureIndex(side, data)];
         } else {
             return super.getBlockTextureFromSideAndMetadata(side, data);
@@ -45,7 +45,7 @@ public class ActivatorBlockModel extends VeryRotatableBlockModel<ActivatorBlock>
     @Override
     public IconCoordinate getBlockOverbrightTextureFromSideAndMeta(Side side, int data)
     {
-        boolean isPowered = (data & ActivatorBlock.MASK_POWERED) != 0;
+        boolean isPowered = (data & BlockActivator.MASK_POWERED) != 0;
         if (!isPowered) return null;
         return overbrightTextures[getTextureIndex(side, data)];
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/AlgaeBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelAlgae.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/block/model/AlgaeBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelAlgae.java
index 1f55d8914..3e15072e2 100644
--- a/src/main/java/net/minecraft/client/render/block/model/AlgaeBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelAlgae.java
@@ -8,8 +8,8 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class AlgaeBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public AlgaeBlockModel(Block block) {
+public class BlockModelAlgae<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelAlgae(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/AxisAlignedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelAxisAligned.java
similarity index 86%
rename from src/main/java/net/minecraft/client/render/block/model/AxisAlignedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelAxisAligned.java
index c1a7398b1..303c19775 100644
--- a/src/main/java/net/minecraft/client/render/block/model/AxisAlignedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelAxisAligned.java
@@ -3,15 +3,14 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.block.AxisAlignedBlock;
+import net.minecraft.core.block.BlockAxisAligned;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.RotatableBlock;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 
-public class AxisAlignedBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public AxisAlignedBlockModel(Block block) {
+public class BlockModelAxisAligned<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelAxisAligned(Block block) {
         super(block);
     }
 
@@ -19,7 +18,7 @@ public class AxisAlignedBlockModel<T extends Block> extends StandardBlockModel<T
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        Axis axis = AxisAlignedBlock.metaToAxis(meta);
+        Axis axis = BlockAxisAligned.metaToAxis(meta);
         switch(axis)
         {
             case Y: // '\0'
diff --git a/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelBasket.java
similarity index 92%
rename from src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelBasket.java
index fc1fbb2aa..a0efab567 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BasketBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelBasket.java
@@ -4,12 +4,12 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BasketBlock;
+import net.minecraft.core.block.BlockBasket;
 import net.minecraft.core.util.helper.Side;
 
-public class BasketBlockModel<T extends BasketBlock> extends StandardBlockModel<T> {
+public class BlockModelBasket<T extends BlockBasket> extends BlockModelStandard<T> {
     protected IconCoordinate fillTexture = TextureRegistry.getTexture("minecraft:block/basket/fill");
-    public BasketBlockModel(Block block) {
+    public BlockModelBasket(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelBed.java
similarity index 87%
rename from src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelBed.java
index 6dc313dc7..518ce757f 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BedBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelBed.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.block.BedBlock;
+import net.minecraft.core.block.BlockBed;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class BedBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelBed<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate underTexture = TextureRegistry.getTexture("minecraft:block/bed/bottom");
-    public BedBlockModel(Block block) {
+    public BlockModelBed(Block block) {
         super(block);
         atlasIndices[0] = TextureRegistry.getTexture("minecraft:block/bed/foot_front");
         atlasIndices[1] = TextureRegistry.getTexture("minecraft:block/bed/foot_side");
@@ -26,8 +26,8 @@ public class BedBlockModel<T extends Block> extends StandardBlockModel<T> {
         renderBlocks.cache.setupCache(block, renderBlocks.blockAccess, x, y, z);
 
         final int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        final int direction = BedBlock.getDirection(meta);
-        final boolean isFootOfBed = BedBlock.isBlockFootOfBed(meta);
+        final int direction = BlockBed.getDirection(meta);
+        final boolean isFootOfBed = BlockBed.isBlockFootOfBed(meta);
 
         final double minY = block.minY;
         block.minY += 0.1875D;
@@ -49,7 +49,7 @@ public class BedBlockModel<T extends Block> extends StandardBlockModel<T> {
         renderSide(tessellator, block, x, y, z, Side.TOP, meta);
 
         renderBlocks.uvRotateTop = 0;
-        final int f17 = isFootOfBed ? BedBlock.headOfBedMap[BedBlock.footToHeadMap[direction]] : BedBlock.headOfBedMap[direction];
+        final int f17 = isFootOfBed ? BlockBed.headOfBedMap[BlockBed.footToHeadMap[direction]] : BlockBed.headOfBedMap[direction];
 
         if(f17 != 2 && (renderBlocks.renderAllFaces || shouldSideBeRendered(renderBlocks.blockAccess, x, y, z - 1, 2)))
         {
@@ -87,9 +87,9 @@ public class BedBlockModel<T extends Block> extends StandardBlockModel<T> {
         if(side == Side.BOTTOM) {
             return underTexture;
         }
-        int k = BedBlock.getDirection(data);
-        int l = BedBlock.bedDirection[k][side.getId()];
-        if(BedBlock.isBlockFootOfBed(data)) {
+        int k = BlockBed.getDirection(data);
+        int l = BlockBed.bedDirection[k][side.getId()];
+        if(BlockBed.isBlockFootOfBed(data)) {
             if(l == 2) {
                 return atlasIndices[3];
             }
diff --git a/src/main/java/net/minecraft/client/render/block/model/BrazierBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelBrazier.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/block/model/BrazierBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelBrazier.java
index 3d099b5f8..d23e965f9 100644
--- a/src/main/java/net/minecraft/client/render/block/model/BrazierBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelBrazier.java
@@ -5,19 +5,19 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.BrazierBlock;
+import net.minecraft.core.block.BlockBrazier;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class BrazierBlockModel<T extends BrazierBlock>
-    extends StandardBlockModel<T> {
+public class BlockModelBrazier<T extends BlockBrazier>
+    extends BlockModelStandard<T> {
     protected IconCoordinate sideTexture = TextureRegistry.getTexture("minecraft:block/brazier/side");
     protected IconCoordinate baseTexture = TextureRegistry.getTexture("minecraft:block/brazier/base");
-    protected StandardBlockModel<Block> fireModel = new FireBlockModel<>(Blocks.FIRE, true).withTextures("minecraft:block/fire");
+    protected BlockModelStandard<Block> fireModel = new BlockModelFire<>(Blocks.FIRE, true).withTextures("minecraft:block/fire");
 
-    public BrazierBlockModel(Block block) {
+    public BlockModelBrazier(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/CactusBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelCactus.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/block/model/CactusBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelCactus.java
index 0683630b1..17b00a8bc 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CactusBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelCactus.java
@@ -7,8 +7,8 @@ import net.minecraft.core.util.helper.Side;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class CactusBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public CactusBlockModel(Block block) {
+public class BlockModelCactus<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelCactus(Block block) {
         super(block);
     }
 
